ghcide-2.4.0.0: The core of an IDE

Safe Haskell | Safe-Inferred
Language | Haskell2010

Development.IDE.Core.IdeConfiguration

Synopsis

- data IdeConfiguration = IdeConfiguration {
  - workspaceFolders :: HashSet NormalizedUri
  - clientSettings :: Hashed (Maybe Value)
  }
- registerIdeConfiguration :: ShakeExtras -> IdeConfiguration -> IO ()
- getIdeConfiguration :: Action IdeConfiguration
- parseConfiguration :: InitializeParams -> IdeConfiguration
- parseWorkspaceFolder :: WorkspaceFolder -> NormalizedUri
- isWorkspaceFile :: NormalizedFilePath -> Action Bool
- modifyWorkspaceFolders :: IdeState -> (HashSet NormalizedUri -> HashSet NormalizedUri) -> IO ()
- modifyClientSettings :: IdeState -> (Maybe Value -> Maybe Value) -> IO ()
- getClientSettings :: Action (Maybe Value)

# Documentation

data IdeConfiguration #

Lsp client relevant configuration details

Constructors

IdeConfiguration |
Fields workspaceFolders :: HashSet NormalizedUri clientSettings :: Hashed (Maybe Value)

#### Instances

Instances details

Show IdeConfiguration # |
Instance details Defined in Development.IDE.Core.IdeConfiguration Methods showsPrec :: Int -> IdeConfiguration -> ShowS # show :: IdeConfiguration -> String # showList :: [IdeConfiguration] -> ShowS #

registerIdeConfiguration :: ShakeExtras -> IdeConfiguration -> IO () #

getIdeConfiguration :: Action IdeConfiguration #

parseConfiguration :: InitializeParams -> IdeConfiguration #

parseWorkspaceFolder :: WorkspaceFolder -> NormalizedUri #

isWorkspaceFile :: NormalizedFilePath -> Action Bool #

modifyWorkspaceFolders :: IdeState -> (HashSet NormalizedUri -> HashSet NormalizedUri) -> IO () #

modifyClientSettings :: IdeState -> (Maybe Value -> Maybe Value) -> IO () #

getClientSettings :: Action (Maybe Value) #